Downgrading from 10762 to 10666

Has anyone been able to downgrade to the last EAP build (10666)? It seems
that the "config" folder has changed from 10762 that make it incompatible
with 10666.

thanks


1 comment
Comment actions Permalink

I find the best way to handle this is to keep two IDEA directories, one containing the 'last known good' and one with the latest EAP. When installing, before running it for the first time, edit the idea.properties file in the bin directory to generate .IntelliJIdea90 (containing the system, config & plugins directories) into the IDEA directory instead of the user directory - this way each installation has its own system & config set. After the first run, you can then just copy over the plugins directory into config from the previous installation.

# path to IDEA config folder. Make sure you're using forward slashes
idea.config.path=${idea.home}/.IntelliJIdea90/config

# path to IDEA system folder. Make sure you're using forward slashes
idea.system.path=${idea.home}/.IntelliJIdea90/system

# path to user installed plugins folder. Make sure you're using forward slashes
idea.plugins.path=${idea.home}/.IntelliJIdea90/config/plugins

0

Please sign in to leave a comment.